Install a software on a device
curl --request POST \
--url https://api.getprimo.com/devices/{deviceId}/software/{softwareId}/install \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getprimo.com/devices/{deviceId}/software/{softwareId}/install"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getprimo.com/devices/{deviceId}/software/{softwareId}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}Devices
Install a software on a device
Install ONE Primo-managed software on ONE device via MDM. The software must already exist in your company catalog (see getSoftwares) and be available for install on that device. To remove it instead, use uninstallDeviceSoftware.
POST
/
devices
/
{deviceId}
/
software
/
{softwareId}
/
install
Install a software on a device
Key: Write
Scope: Company
Authorizations
Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Was this page helpful?
⌘I